﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Microsoft.LiveFX.Client;
using System.Net;

namespace WinFormsApp
{
    public partial class CredentialsForm : Form
    {
        public string Username { get; private set; }
        public string Password { get; private set; }

        public CredentialsForm()
        {
            InitializeComponent();
        }

        public CredentialsForm(string username, string password)
            : this()
        {
            textBoxId.Text = username;
            textBoxPw.Text = password;
        }

        private void buttonConnect_Click(object sender, EventArgs e)
        {
            Username = textBoxId.Text;
            Password = textBoxPw.Text;

            DialogResult = DialogResult.OK;
            this.Close();
        }

        private void buttonExit_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
            this.Close();
        }

        private void textBox_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Enter)
                buttonConnect_Click(sender, e);
        }
    }
}
